Summary: Interactive educational geometry software
Name: drgeo
Version: 1.1.0
Release: alt0
License: GPLv2+
Group: Applications/Engineering
URL: http://www.ofset.org/drgeo

Source: http://dl.sf.net/ofset/drgeo-%{version}.tar.gz
Patch0: drgeo-1.1.0-htmlview.patch
Patch1: drgeo.patch
Patch2: drgeo-1.1.0-anonymous-type.patch

BuildRequires: flex, bison, gmp-devel >= 2.0.2, desktop-file-utils
BuildRequires: guile-devel, libglade2-devel, intltool, gettext

Obsoletes: drgenius

%description
Dr. Geo is an interactive geometry GUI application. It allows one to create
geometric figures plus the interactive manipulation of such figure in
respect with their geometric constraints. It is usable in teaching
situation with students from primary or secondary level.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%makeinstall
%find_lang %{name}
perl -pi -e 's/^Icon=gnome-drgenius.png/Icon=drgeo.png/g' %{buildroot}%{_datadir}/applications/drgeo.desktop
desktop-file-install \
   --delete-original \
   --vendor=fedora   \
   --add-category X-Fedora \
   --dir %{buildroot}%{_datadir}/applications \
   %{buildroot}%{_datadir}/applications/drgeo.desktop

install -D -m0644 glade/drgeo.png %{buildroot}%{_datadir}/pixmaps/drgeo.png
mkdir %{buildroot}%{_datadir}/TeXmacs/
mv %{buildroot}%{_datadir}/texmacs/TeXmacs/plugins/ %{buildroot}%{_datadir}/TeXmacs/.
rmdir %{buildroot}%{_datadir}/texmacs/TeXmacs/
rmdir %{buildroot}%{_datadir}/texmacs/

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_bindir}/drgeo
%{_bindir}/tm_drgeo
%{_datadir}/drgeo/
%{_datadir}/pixmaps/*.png
%{_datadir}/TeXmacs/plugins/drgeo
%{_datadir}/applications/fedora-drgeo.desktop

